viDrawGroupLine = {};

function viDrawGroupLine:setOpen()
	VehicleInspector.clickAreas.slave["groupLine"] = {};
	VehicleInspector.clickAreas.master["groupLine"] = {};
	if not g_currentMission.hl.isMouseCursor then return;end;
	local mapState = g_currentMission.hl.getIngameMapState()
	if mapState >=4 then return;end;		
	local posX = g_currentMission.hlGui.menue.posX[2];
	local posY = g_currentMission.hlGui.menue.posY[2];
	local width = g_currentMission.hlGui.menue.width[2];
	local height = g_currentMission.hlGui.menue.height[2];
	local nextPosX = posX+width+0.002;
	local nextPosY = posY;
	if VehicleInspector.global.foundMoh then
		if VehicleInspector.moh.moGeneralSettings.miniMapAutoState.on and VehicleInspector.moh.moGeneralSettings.miniMapAutoState.viewIcons then
			nextPosX = nextPosX+(width*3);
		end;
	end;
	if VehicleInspector.global.groupLine.pos == 2 then
		
	
	end;
	-----------------------------------------------------------------
	local colorOn = g_currentMission.hl.getColor("green", true);
	local colorOff = g_currentMission.hl.getColor("darkGray", true);	
	local ls22Color = g_currentMission.hl.getColor("ls22", true);
	local yellowColor = g_currentMission.hl.getColor("yellow", true);
	local colorEmpty = g_currentMission.hl.getColor("orangeRed", true);
	local disableClickArea = g_currentMission.hl.dragDrop.on or not g_currentMission.hl.isMouseCursor;
	local color = colorOff;
	local txtHeight = getTextHeight(0.010, utf8Substr("Ä", 0));
	local txtWidth = getTextWidth(0.011, utf8Substr("Äm", 0));
	
	local iconWidescreenFix = 1.6+(VehicleInspector.global.iconWidescreenFix); --breitbild fix
	local iconWidth = txtHeight/iconWidescreenFix; -- +((0.0025)/iconWidescreenFix);
	local iconHeight = txtHeight; -- +(0.0025);
	local width = txtWidth*(viGroupManager.maxGroups+1.5)+iconWidth;
	local overlay = VehicleInspector.overlays["groupGround"];	
	g_currentMission.hl.setOverlay(overlay, nextPosX, nextPosY, width, height);
	overlay:render();	
	if not disableClickArea then viDrawGroupLine:clickAreas(true, {nextPosX, nextPosX+width, nextPosY, nextPosY+height} );end;
	nextPosX = nextPosX+0.001;	
	--save icon--
	overlay = VehicleInspector.overlays["save"];
	g_currentMission.hl.setOverlay(overlay, nextPosX, nextPosY+(height/2)-(iconHeight/2), iconWidth, iconHeight);	
	if not viGroupManager.profil.save then
		VehicleInspector:get_hl("setBackgroundColor", {overlay, yellowColor}, "viDrawGroupLine:setOpen()");
	else
		VehicleInspector:get_hl("setBackgroundColor", {overlay, colorOn}, "viDrawGroupLine:setOpen()");
	end;
	overlay:render();
	if not disableClickArea then viDrawGroupLine:clickAreas(false, {overlay.x, overlay.x+overlay.width, overlay.y, overlay.y+overlay.height, whereClick="saveGroups_"} );end;
	--save icon--
	nextPosX = nextPosX+iconWidth+(txtWidth/2.3);	
	if VehicleInspector.seeVehicle.isGroup then
		setTextColor(unpack(ls22Color));		
	else
		setTextColor(unpack(colorOff));
	end;
	setTextBold(true);	
	renderText(nextPosX, nextPosY+(height/2)-(txtHeight/2), 0.010, "G");	
	if not disableClickArea then viDrawGroupLine:clickAreas(false, {nextPosX, nextPosX+(txtWidth/2), nextPosY, nextPosY+height, whereClick="group_"} );end;
	nextPosX = nextPosX+txtWidth;
	--setTextBold(false);	
	for group=1, viGroupManager.maxGroups do		
		local moreTxt = "";
		local vehicle = g_currentMission.controlledVehicle;
		if vehicle ~= nil and vehicle.viControl ~= nil and vehicle.viControl.group ~= nil and vehicle.viControl.group[group] ~= nil then moreTxt = "^";end;
		if viGroupManager:hasGroupVehicles(group) then
			if viGroupManager.viewGroups[group] then
				setTextColor(unpack(colorOn));
			else
				setTextColor(1, 1, 1, 1);
			end;
		else
			if viGroupManager.viewGroups[group] then
				setTextColor(unpack(colorEmpty));
			else
				setTextColor(unpack(colorOff));
			end;
		end;
		renderText(nextPosX, nextPosY+(height/2)-(txtHeight/2), 0.010, tostring(group).. tostring(moreTxt));
		if not disableClickArea then viDrawGroupLine:clickAreas(false, {nextPosX, nextPosX+txtWidth, nextPosY, nextPosY+height, whereClick="viewGroup_", group=group} );end;
		nextPosX = nextPosX+txtWidth;
	end;
	setTextBold(false);	
	setTextColor(1, 1, 1, 1);
	-----------------------------------------------------------------
end;

function viDrawGroupLine:clickAreas(masterArea, args)		
	if masterArea then
		VehicleInspector.clickAreas.master["groupLine"] = {
			args[1]; --posX
			args[2]; --posX1
			args[3]; --posY
			args[4]; --posY1
			whichArea = "groupLine";
		};
	else	
		VehicleInspector.clickAreas.slave["groupLine"][#VehicleInspector.clickAreas.slave["groupLine"]+1] = {
			args[1]; --posX
			args[2]; --posX1
			args[3]; --posY
			args[4]; --posY1
			whatClick = "groupLine";
			whereClick = args.whereClick;
			group = args.group;
		};
	end;
end;